Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.pattern
Class StyleConverter

    java.lang.Object
      org.apache.logging.log4j.core.pattern.AbstractPatternConverter
          org.apache.logging.log4j.core.pattern.LogEventPatternConverter
              org.apache.logging.log4j.core.pattern.StyleConverter

All Implemented Interfaces:
  PatternConverter

    @Plugin(name="style",
            category="Converter")
    public final class StyleConverter

extends LogEventPatternConverter

Style pattern converter. Adds ANSI color styling to the result of the enclosed pattern.

Field Summary

Fields inherited from class org.apache.logging.log4j.core.pattern.AbstractPatternConverter
`LOGGER`

Fields inherited from interface org.apache.logging.log4j.core.pattern.PatternConverter
`CATEGORY`

Method Summary
`void` | `format(LogEvent event, StringBuilder toAppendTo)` Formats an event into a string buffer.
`boolean` | `handlesThrowable()` Normally pattern converters are not meant to handle Exceptions although few pattern converters might.
`static StyleConverter` | `newInstance(Configuration config, String[] options)` Gets an instance of the class.
`String` | `toString()` Returns a String suitable for debugging.

Methods inherited from class org.apache.logging.log4j.core.pattern.LogEventPatternConverter
`format`

Methods inherited from class org.apache.logging.log4j.core.pattern.AbstractPatternConverter
`getName, getStyleClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### newInstance

    public static StyleConverter newInstance(Configuration config,
                                             String[] options)

  Gets an instance of the class.

  Parameters:
    `config` - The current Configuration.
    `options` - pattern options, may be null. If first element is "short", only the first line of the throwable will be formatted.
  Returns:
    instance of class.

### format

    public void format(LogEvent event,
                       StringBuilder toAppendTo)

  Formats an event into a string buffer.

  Specified by:
    `format` in class `LogEventPatternConverter`
  Parameters:
    `event` - event to format, may not be null.
    `toAppendTo` - string buffer to which the formatted event will be appended. May not be null.

### handlesThrowable

    public boolean handlesThrowable()

  Description copied from class: `LogEventPatternConverter`
  Normally pattern converters are not meant to handle Exceptions although few pattern converters might.

  By examining the return values for this method, the containing layout will determine whether it handles throwables or not.

  Overrides:
    `handlesThrowable` in class `LogEventPatternConverter`
  Returns:
    true if this PatternConverter handles throwables

### toString

    public String toString()

  Returns a String suitable for debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    a String suitable for debugging.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.